package kr.co.compcareworker.Data.PlanDetail;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

import kr.co.compcareworker.Data.ArrayItem;
import kr.co.compcareworker.Data.Memo.MemoData;

public class PlanData {
    @SerializedName("wr_idx")
    @Expose
    private String wrIdx;
    @SerializedName("ag_idx")
    @Expose
    private String agIdx;
    @SerializedName("wo_idx")
    @Expose
    private String woIdx;
    @SerializedName("wr_code")
    @Expose
    private String wrCode;
    @SerializedName("wr_memo_orders")
    @Expose
    private String wrMemoOrders;
    @SerializedName("wr_memo_report")
    @Expose
    private String wrMemoReport;
    @SerializedName("wr_memo_report_sub")
    @Expose
    private String wrMemoReportSub;
    @SerializedName("wr_worker_id")
    @Expose
    private String wrWorkerId;
    @SerializedName("wr_worker_name")
    @Expose
    private String wrWorkerName;
    @SerializedName("wr_worker_id2")
    @Expose
    private Object wrWorkerId2;
    @SerializedName("wr_worker_name2")
    @Expose
    private Object wrWorkerName2;
    @SerializedName("wr_memotype")
    @Expose
    private Object wrMemotype;
    @SerializedName("wr_status")
    @Expose
    private String wrStatus;
    @SerializedName("wr_startdt")
    @Expose
    private String wrStartdt;
    @SerializedName("wr_enddt")
    @Expose
    private String wrEnddt;
    @SerializedName("ins_dt")
    @Expose
    private String insDt;
    @SerializedName("wr_startdt_day")
    @Expose
    private String wrStartdtDay;
    @SerializedName("wr_startdt_time")
    @Expose
    private String wrStartdtTime;
    @SerializedName("wr_enddt_day")
    @Expose
    private String wrEnddtDay;
    @SerializedName("wr_enddt_time")
    @Expose
    private String wrEnddtTime;
    @SerializedName("wr_enddt_str")
    @Expose
    private String wrEnddtStr;
    @SerializedName("wr_status_str")
    @Expose
    private String wrStatusStr;
    @SerializedName("wr_worker_phone")
    @Expose
    private String wrWorkerPhone;
    @SerializedName("cp_idx")
    @Expose
    private String cpIdx;
    @SerializedName("cp_name")
    @Expose
    private String cpName;
    @SerializedName("cu_name")
    @Expose
    private String cuName;
    @SerializedName("call_hp")
    @Expose
    private String callHp;
    @SerializedName("work_data")
    @Expose
    private WorkData workData;
    @SerializedName("memo_data")
    @Expose
    private MemoData memodata;
    @SerializedName("invoice_data")
    @Expose
    private InvoiceData invoiceData;
    @SerializedName("cp_zip")
    @Expose
    private String cpZip;
    @SerializedName("cu_zip")
    @Expose
    private String cuZip;
    @SerializedName("cu_mapx")
    @Expose
    private Double cuMapx;
    @SerializedName("cu_mapy")
    @Expose
    private Double cuMapy;
    @SerializedName("cp_mapx")
    @Expose
    private Double cpMapx;
    @SerializedName("cp_mapy")
    @Expose
    private Double cpMapy;

    public String getWrIdx() {
        return wrIdx;
    }

    public void setWrIdx(String wrIdx) {
        this.wrIdx = wrIdx;
    }

    public String getAgIdx() {
        return agIdx;
    }

    public void setAgIdx(String agIdx) {
        this.agIdx = agIdx;
    }

    public String getWoIdx() {
        return woIdx;
    }

    public void setWoIdx(String woIdx) {
        this.woIdx = woIdx;
    }

    public String getWrCode() {
        return wrCode;
    }

    public void setWrCode(String wrCode) {
        this.wrCode = wrCode;
    }

    public String getWrMemoOrders() {
        return wrMemoOrders;
    }

    public void setWrMemoOrders(String wrMemoOrders) {
        this.wrMemoOrders = wrMemoOrders;
    }

    public String getWrMemoReport() {
        return wrMemoReport;
    }

    public void setWrMemoReport(String wrMemoReport) {
        this.wrMemoReport = wrMemoReport;
    }

    public String getWrWorkerId() {
        return wrWorkerId;
    }

    public void setWrWorkerId(String wrWorkerId) {
        this.wrWorkerId = wrWorkerId;
    }

    public String getWrWorkerName() {
        return wrWorkerName;
    }

    public void setWrWorkerName(String wrWorkerName) {
        this.wrWorkerName = wrWorkerName;
    }

    public Object getWrWorkerId2() {
        return wrWorkerId2;
    }

    public void setWrWorkerId2(Object wrWorkerId2) {
        this.wrWorkerId2 = wrWorkerId2;
    }

    public Object getWrWorkerName2() {
        return wrWorkerName2;
    }

    public void setWrWorkerName2(Object wrWorkerName2) {
        this.wrWorkerName2 = wrWorkerName2;
    }

    public Object getWrMemotype() {
        return wrMemotype;
    }

    public void setWrMemotype(Object wrMemotype) {
        this.wrMemotype = wrMemotype;
    }

    public String getWrStatus() {
        return wrStatus;
    }

    public void setWrStatus(String wrStatus) {
        this.wrStatus = wrStatus;
    }

    public String getWrStartdt() {
        return wrStartdt;
    }

    public void setWrStartdt(String wrStartdt) {
        this.wrStartdt = wrStartdt;
    }

    public String getWrEnddt() {
        return wrEnddt;
    }

    public void setWrEnddt(String wrEnddt) {
        this.wrEnddt = wrEnddt;
    }

    public String getInsDt() {
        return insDt;
    }

    public void setInsDt(String insDt) {
        this.insDt = insDt;
    }

    public String getWrStartdtDay() {
        return wrStartdtDay;
    }

    public void setWrStartdtDay(String wrStartdtDay) {
        this.wrStartdtDay = wrStartdtDay;
    }

    public String getWrStartdtTime() {
        return wrStartdtTime;
    }

    public void setWrStartdtTime(String wrStartdtTime) {
        this.wrStartdtTime = wrStartdtTime;
    }

    public String getWrEnddtDay() {
        return wrEnddtDay;
    }

    public void setWrEnddtDay(String wrEnddtDay) {
        this.wrEnddtDay = wrEnddtDay;
    }

    public String getWrEnddtTime() {
        return wrEnddtTime;
    }

    public void setWrEnddtTime(String wrEnddtTime) {
        this.wrEnddtTime = wrEnddtTime;
    }

    public String getWrEnddtStr() {
        return wrEnddtStr;
    }

    public void setWrEnddtStr(String wrEnddtStr) {
        this.wrEnddtStr = wrEnddtStr;
    }

    public String getWrStatusStr() {
        return wrStatusStr;
    }

    public void setWrStatusStr(String wrStatusStr) {
        this.wrStatusStr = wrStatusStr;
    }

    public String getWrWorkerPhone() {
        return wrWorkerPhone;
    }

    public void setWrWorkerPhone(String wrWorkerPhone) {
        this.wrWorkerPhone = wrWorkerPhone;
    }

    public String getCpIdx() {
        return cpIdx;
    }

    public void setCpIdx(String cpIdx) {
        this.cpIdx = cpIdx;
    }

    public String getCpName() {
        return cpName;
    }

    public void setCpName(String cpName) {
        this.cpName = cpName;
    }

    public String getCuName() {
        return cuName;
    }

    public void setCuName(String cuName) {
        this.cuName = cuName;
    }

    public String getCallHp() {
        return callHp;
    }

    public void setCallHp(String callHp) {
        this.callHp = callHp;
    }

    public WorkData getWorkData() {
        return workData;
    }

    public MemoData getMemoData(){
        return memodata;
    }

    public void setWorkData(WorkData workData) {
        this.workData = workData;
    }

    public InvoiceData getInvoiceData() {
        return invoiceData;
    }

    public void setInvoiceData(InvoiceData invoiceData) {
        this.invoiceData = invoiceData;
    }

    public String getWrMemoReportSub() {
        return wrMemoReportSub;
    }

    public void setWrMemoReportSub(String wrMemoReportSub) {
        this.wrMemoReportSub = wrMemoReportSub;
    }

    public String getCpZip() {
        return cpZip;
    }

    public String getCuZip() {
        return cuZip;
    }

    public Double getCuMapx() {
        return cuMapx;
    }

    public Double getCuMapy() {
        return cuMapy;
    }

    public Double getCpMapx() {
        return cpMapx;
    }

    public Double getCpMapy() {
        return cpMapy;
    }
}
